Bug 120137 - keyring doesn't save sftp:// passwords across sessions
keyring doesn't save sftp:// passwords across sessions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-06 07:04 EDT by Julien Olivier
Modified: 2013-04-02 00:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 10:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julien Olivier 2004-04-06 07:04:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
When I mount a sftp:// volume using Nautilus' connect to server, i am
asked for a password. Then, if I check the "save in keyring" checkbox,
it still asks for my password when I try to access the server from a
new session.

Version-Release number of selected component (if applicable):
gnome-keyring-0.2.0-1

How reproducible:
Always

Steps to Reproduce:
1.Create a sftp:// server using "connect to server" from Nautilus
2.Open the newly created "volume"
3.Anter the password
4.Check the "remember password using keyring" checkbox
5.log out
6.log in
7.Open the sftp:// volume again
    

Actual Results:  Nautilus asks for the password again.

Expected Results:  It should have kept the password in memory, and not
ask for it again.

Additional info:

I tested it using Fedora Core 2 test2
Comment 1 Alexander Larsson 2004-04-06 12:37:14 EDT
Yes, the sftp method doesn't support gnome-keyring atm.
Comment 2 Alexander Larsson 2004-10-15 10:38:49 EDT
2.8 supports this. 

Note You need to log in before you can comment on or make changes to this bug.